package com.bulletircd.domain

object response extends Enumeration {
  val RPL_WELCOME = Value(1)
  val RPL_YOURHOST = Value(2)
  val RPL_CREATED = Value(3)
  val RPL_MYINFO = Value(4)
  val RPL_BOUNCE = Value(5)
  val RPL_TRACELINK = Value(200)
  val RPL_TRACECONNECTING = Value(201)
  val RPL_TRACEHANDSHAKE = Value(202)
  val RPL_TRACEUNKNOWN = Value(203)
  val RPL_TRACEOPERATOR = Value(204)
  val RPL_TRACEUSER = Value(205)
  val RPL_TRACESERVER = Value(206)
  val RPL_TRACESERVICE = Value(207)
  val RPL_TRACENEWTYPE = Value(208)
  val RPL_TRACECLASS = Value(209)
  val RPL_TRACERECONNECT = Value(210)
  val RPL_TRACELOG = Value(261)
  val RPL_TRACEEND = Value(262)
  val RPL_STATSLINKINFO = Value(211)
  val RPL_STATSCOMMANDS = Value(212)
  val RPL_ENDOFSTATS = Value(219)
  val RPL_STATSUPTIME = Value(242)
  val RPL_STATSOLINE = Value(243)
  val RPL_UMODEIS = Value(221)
  val RPL_SERVLIST = Value(234)
  val RPL_SERVLISTEND = Value(235)
  val RPL_LUSERCLIENT = Value(251)
  val RPL_LUSEROP = Value(252)
  val RPL_LUSERUNKNOWN = Value(253)
  val RPL_LUSERCHANNELS = Value(254)
  val RPL_LUSERME = Value(255)
  val RPL_ADMINME = Value(256)
  val RPL_ADMINEMAIL = Value(259)
  val RPL_TRYAGAIN = Value(263)
  val RPL_USERHOST = Value(302)
  val RPL_ISON = Value(303)
  val RPL_AWAY = Value(301)
  val RPL_UNAWAY = Value(305)
  val RPL_NOWAWAY = Value(306)
  val RPL_WHOISUSER = Value(311)
  val RPL_WHOISSERVER = Value(312)
  val RPL_WHOISOPERATOR = Value(313)
  val RPL_WHOISIDLE = Value(317)
  val RPL_ENDOFWHOIS = Value(318)
  val RPL_WHOISCHANNELS = Value(319)
  val RPL_WHOWASUSER = Value(314)
  val RPL_ENDOFWHOWAS = Value(369)
  val RPL_LISTSTART = Value(321)
  val RPL_LIST = Value(322)
  val RPL_LISTEND = Value(323)
  val RPL_UNIQOPIS = Value(325)
  val RPL_CHANNELMODEIS = Value(324)
  val RPL_NOTOPIC = Value(331)
  val RPL_TOPIC = Value(332)
  val RPL_INVITING = Value(341)
  val RPL_SUMMONING = Value(342)
  val RPL_INVITELIST = Value(346)
  val RPL_ENDOFINVITELIST = Value(347)
  val RPL_EXCEPTLIST = Value(348)
  val RPL_ENDOFEXCEPTLIST = Value(349)
  val RPL_VERSION = Value(351)
  val RPL_WHOREPLY = Value(352)
  val RPL_ENDOFWHO = Value(315)
  val RPL_NAMREPLY = Value(353)
  val RPL_ENDOFNAMES = Value(366)
  val RPL_LINKS = Value(364)
  val RPL_ENDOFLINKS = Value(365)
  val RPL_BANLIST = Value(367)
  val RPL_ENDOFBANLIST = Value(368)
  val RPL_INFO = Value(371)
  val RPL_ENDOFINFO = Value(374)
  val RPL_MOTDSTART = Value(375)
  val RPL_MOTD = Value(372)
  val RPL_ENDOFMOTD = Value(376)
  val RPL_YOUREOPER = Value(381)
  val RPL_REHASHING = Value(382)
  val RPL_YOURESERVICE = Value(383)
  val RPL_TIME = Value(391)
  val RPL_USERSSTART = Value(392)
  val RPL_USERS = Value(393)
  val RPL_ENDOFUSERS = Value(394)
  val RPL_NOUSERS = Value(395)
  val ERR_NOSUCHNICK = Value(401)
  val ERR_NOSUCHSERVER = Value(402)
  val ERR_NOSUCHCHANNEL = Value(403)
  val ERR_CANNOTSENDTOCHAN = Value(404)
  val ERR_TOOMANYCHANNELS = Value(405)
  val ERR_WASNOSUCHNICK = Value(406)
  val ERR_TOOMANYTARGETS = Value(407)
  val ERR_NOSUCHSERVICE = Value(408)
  val ERR_NOORIGIN = Value(409)
  val ERR_NORECIPIENT = Value(411)
  val ERR_NOTEXTTOSEND = Value(412)
  val ERR_NOTOPLEVEL = Value(413)
  val ERR_WILDTOPLEVEL = Value(414)
  val ERR_BADMASK = Value(415)
  val ERR_UNKNOWNCOMMAND = Value(421)
  val ERR_NOMOTD = Value(422)
  val ERR_NOADMININFO = Value(423)
  val ERR_FILEERROR = Value(424)
  val ERR_NONICKNAMEGIVEN = Value(431)
  val ERR_ERRONEUSNICKNAME = Value(432)
  val ERR_NICKNAMEINUSE = Value(433)
  val ERR_NICKCOLLISION = Value(436)
  val ERR_UNAVAILRESOURCE = Value(437)
  val ERR_USERNOTINCHANNEL = Value(441)
  val ERR_NOTONCHANNEL = Value(442)
  val ERR_USERONCHANNEL = Value(443)
  val ERR_NOLOGIN = Value(444)
  val ERR_SUMMONDISABLED = Value(445)
  val ERR_USERSDISABLED = Value(446)
  val ERR_NOTREGISTERED = Value(451)
  val ERR_NEEDMOREPARAMS = Value(461)
  val ERR_ALREADYREGISTRED = Value(462)
  val ERR_NOPERMFORHOST = Value(463)
  val ERR_PASSWDMISMATCH = Value(464)
  val ERR_YOUREBANNEDCREEP = Value(465)
  val ERR_YOUWILLBEBANNED = Value(466)
  val ERR_KEYSET = Value(467)
  val ERR_CHANNELISFULL = Value(471)
  val ERR_UNKNOWNMODE = Value(472)
  val ERR_INVITEONLYCHAN = Value(473)
  val ERR_BANNEDFROMCHAN = Value(474)
  val ERR_BADCHANNELKEY = Value(475)
  val ERR_BADCHANMASK = Value(476)
  val ERR_NOCHANMODES = Value(477)
  val ERR_BANLISTFULL = Value(478)
  val ERR_NOPRIVILEGES = Value(481)
  val ERR_CHANOPRIVSNEEDED = Value(482)
  val ERR_CANTKILLSERVER = Value(483)
  val ERR_RESTRICTED = Value(484)
  val ERR_UNIQOPPRIVSNEEDED = Value(485)
  val ERR_NOOPERHOST = Value(491)
  val ERR_UMODEUNKNOWNFLAG = Value(501)
  val ERR_USERSDONTMATCH = Value(502)
}
